/*
 * Copyright (C) 1995,1996,1997 RealNetworks, Inc.
 * All rights reserved.
 *
 * http://www.real.com/devzone
 *
 * This program contains proprietary information of RealNetworks, Inc.,
 * and is licensed subject to restrictions on use and distribution.
 *
 * $Id: auth.h,v 1.2 2002/08/04 15:25:33 paul Exp $
 *
 * This file contains the object definition for the authentication manager.
 */

#ifndef _AUTH_H_
#define _AUTH_H_

#include "rmaauth.h"

class tr_auth_manager: public IRMAAuthenticationManager
{
 public:
  tr_auth_manager (void);
  ~tr_auth_manager (void);
  PN_RESULT HandleAuthenticationRequest
    (IRMAAuthenticationManagerResponse *response);
  PN_RESULT QueryInterface (const IID &id, void **obj);
  UINT32 AddRef (void);
  UINT32 Release (void);
};

#endif
