/*
 * Copyright (C) 1995,1996,1997 RealNetworks, Inc.
 * All rights reserved.
 *
 * http://www.real.com/devzone
 *
 * This program contains proprietary information of RealNetworks, Inc.,
 * and is licensed subject to restrictions on use and distribution.
 *
 * $Id: context.h,v 1.2 2002/08/04 15:25:33 paul Exp $
 *
 * This file contains the definition for the context manager object and a
 * pointer to the error handler created by the context object.
 */

#ifndef _CONTEXT_H_
#define _CONTEXT_H_

#include "pncom.h"
#include "error.h"

extern tr_error_handler *error_handler;

class tr_context: public IUnknown
{
 public:
  tr_context (void);
  ~tr_context (void);
  PN_RESULT QueryInterface (const IID &id, void **obj);
  UINT32 AddRef (void);
  UINT32 Release (void);
};

#endif
