/*
 * Copyright (C) 1995,1996,1997 RealNetworks, Inc.
 * All rights reserved.
 *
 * http://www.real.com/devzone
 *
 * This program contains proprietary information of RealNetworks, Inc.,
 * and is licensed subject to restrictions on use and distribution.
 *
 * $Id: error.h,v 1.2 2002/08/04 15:25:33 paul Exp $
 *
 * This file contains the object definition for the error handler.
 */

#ifndef _ERROR_H_
#define _ERROR_H_

#include "pncom.h"
#include "rmaerror.h"
#include "rmapckts.h"

class tr_error_handler: public IRMAErrorSink
{
 public:
  tr_error_handler (void);
  ~tr_error_handler (void);
  PN_RESULT ErrorOccurred (const UINT8 severity, const UINT32 rma_code,
			   const UINT32 user_code, const char *user_str,
			   const char *url);
  PN_RESULT QueryInterface (const IID &id, void **obj);
  UINT32 AddRef (void);
  UINT32 Release (void);
};

#endif
