/*
 * Copyright (C) 1995,1996,1997 RealNetworks.
 * All rights reserved.
 *
 * This program contains proprietary information of RealNetworks, Inc.,
 * and is licensed subject to restrictions on use and distribution.
 *
 * $Id: sitesup.h,v 1.2 2002/08/04 15:25:33 paul Exp $
 *
 * This file defines the site supplier object.
 */

#ifndef _SITESUP_H_
#define _SITESUP_H_

class tr_site_supplier: public IRMASiteSupplier
{
 public:
  tr_site_supplier (void);
  ~tr_site_supplier (void);
  PN_RESULT SitesNeeded (UINT32 request_id, IRMAValues *props);
  PN_RESULT SitesNotNeeded (UINT32 request_id);
  PN_RESULT BeginChangeLayout (void);
  PN_RESULT DoneChangeLayout (void);
  PN_RESULT QueryInterface (const IID &id, void **obj);
  UINT32 AddRef (void);
  UINT32 Release (void);
};

#endif /* _EXSITSUP_H_ */
