/*
 * Copyright (C) 1995,1996,1997 RealNetworks, Inc.
 * All rights reserved.
 *
 * http://www.real.com/devzone
 *
 * This program contains proprietary information of RealNetworks, Inc.,
 * and is licensed subject to restrictions on use and distribution.
 *
 * $Id: tac.h,v 1.2 2002/08/04 15:25:33 paul Exp $
 *
 * This file contains definitions and function prototypes related to the
 * title, author, and copyright info for a clip.
 */

#ifndef _TAC_H_
#define _TAC_H_

#include "rmacore.h"
#include "rmamon.h"

#define NUM_TAC_PROPS 5

extern const char *tac_names[NUM_TAC_PROPS];
extern char *tac_props[NUM_TAC_PROPS];

extern "C"
{
  extern void init_tac (void);
  extern void update_tac (void);
}

#endif
